<?php
define('IN_OUN', true);
include_once( "./includes/command.php");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
if( $_GET['op']){
   $op = $_GET['op'];
   if($op == 'reg_check')
	{
       $user_name = $_GET['user_name'];
       /* 检查是否为英文数字 */
       $db_table = $pre.'admin_user';
       $user_name = clean_html(trim($user_name));
       $sql = "SELECT user_id FROM ".$db_table."  WHERE `user_name` LIKE '".$user_name."'"; 
       $Auser = $oPub->selectrow($sql);
       $str = ($Auser['user_id'] > 0)?'已经被使用，不能注册':'允许注册';
	}
	elseif($op == 'help_reg')
	{
       
	   $user_name   = ($_GET['user_name'])?$_GET['user_name']:'用户名';
	   $str .= '?</span><br/><span style="font-size:18px;color: #CCCCCC;background-color: #333333">';
	   $str .= '如：www.xy58.com你将拥有独立的企业网站。<br/>';
	   $str .= '1.填写此项，需要把你备案过的域名指向："'.$_SERVER["SERVER_ADDR"].'".<br/>';
	   $str .= '2.也可以通过：http://'.$user_name.'.'.$Aconf['mail_url'].' 访问你的网站.<br/>';
	   $str .= '3.如果没有独立域名，你可与我们客户QQ联系帮你申请.<br/>';
	   $str .= '</span><span>';
	}
	else
	{
       $str = '操作错误!';
	}

}
else
{
   $str = '操作错误!';
}

echo $str;
?>